import { ChangeDetectionStrategy, Component, Input, OnInit } from '@angular/core';
import { User } from '../../models/user.model';
import { Utils } from '../../utils/utils';
import { ProfileService } from '../services/profile.service';

@Component({
  selector: 'app-profile-nav',
  templateUrl: './profile-nav.component.html',
  styleUrls: ['./profile-nav.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ProfileNavComponent implements OnInit {
  @Input() isPublic!: boolean;
  @Input() location?: string;

  public userProfile: User;

  constructor(
    public utils: Utils,
    private profileService: ProfileService,
  ) {}

  ngOnInit(): void {
    this.profileService.getProfile().then((profile) => {
      this.userProfile = new User(profile);
    });
  }

  get totalStructuresCount(): number {
    return (this.userProfile?.structuresLink?.length ?? 0) + (this.userProfile?.pendingStructuresLink?.length ?? 0);
  }
}
